## org.red5.server.api
Interface ICoreObject

All Superinterfaces:
  AttributeStoreMBean, IAttributeStore, ICastingAttributeStore, IEventDispatcher, IEventHandler, IEventListener

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IConnection, IGlobalScope, IRemotingConnection, IScope, IServiceCapableConnection, ISharedObject, IStreamCapableConnection

All Known Implementing Classes:
  BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, EdgeRTMPMinaConnection, GlobalScope, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection, Scope, SharedObjectScope, WebScope

    public interface ICoreObject

extends ICastingAttributeStore, IEventDispatcher, IEventHandler, IEventListener

Base marker interface for all core objects.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary

Methods inherited from interface org.red5.server.api.ICastingAttributeStore
`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Methods inherited from interface org.red5.server.api.event.IEventDispatcher
`dispatchEvent`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Methods inherited from interface org.red5.server.api.event.IEventListener
`notifyEvent`

Copyright © 2006-2010 The Red5 Project